Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

Error When Installing Cisco ICM Maintenance Release 8.5(4)

Hi, 

 

I've successfully installing ICM 8.0(1a),

My environment is Windows Server 2008 R2 Enterprise, Service Pack 1 x64.

 

Now I'm trying to install Cisco ICM Maintenance Release 8.5(4), but the error occurs,

 

the log is :

 

 

2014-09-03 14:09:27 [Information] Logging initialized. Log File: C:\Temp\Maintenance Release ICM8.5(4)\20140903_140927_Maintenance Release ICM8.5(4).log
2014-09-03 14:09:27 [Information] Displaying new modal message, buffer empty: Initializing Patch Installer
2014-09-03 14:09:27 [Information] Manifest file location: C:\Users\ADMINI~1\AppData\Local\Temp\{5ADEF78E-6528-46A7-AB78-D38F394ADE23}\{0202A80B-FA3B-48B1-A64F-62AD902E62F9}\PatchManifest.ini
2014-09-03 14:09:27 [Information] Patch Information folder is C:\icm\PatchInfo_ICM_8_5_4_0_0_0_336
2014-09-03 14:09:27 [Information] Initializing Version checking data structures with data from current system and patch.
2014-09-03 14:09:27 [Error] Unable to get patch info from the registry because SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch) does not exist
2014-09-03 14:09:27 [Error] Error reading Display Name value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading Product value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading Base value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading Major Version value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading Minor Version value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading Maintenance Release Version value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading RUP Version value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading LRP Version value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading Featurette Version value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading Installer Version value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading Install Timestamp value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading Uninstall Location value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Error] Error reading Prior CurrentPatch value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Information] Unable to read PriorCurrentFeatures value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch) This is probably because this key was not in prior patches.
2014-09-03 14:09:27 [Information] Unable to read Patch Language value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch) This is probably because this key was not in prior patches.
2014-09-03 14:09:27 [Information] Unable to read Features value from the registry key SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch) This is probably because this key was not in prior patches.
2014-09-03 14:09:27 [Error] One or more errors were encountered retrieving the patch information from the registry: SOFTWARE\Cisco Systems, Inc.\Patch\ICM\8.0\Patch\(Not A Patch)
2014-09-03 14:09:27 [Information] Installer cleaning up and aborting.
2014-09-03 14:09:27 [Error] See the installer log for more detail.
2014-09-03 14:29:48 [Information] All modal messages are now closed.

 

 

 

can anyone help this?

 

Thanks in advance,

 

 

 

Everyone's tags (1)
5 REPLIES

Hi, looks like you have to

Hi,

 

looks like you have to upgrade to 8.5(2) first and then you can install 8.5(4) on top of that.

it is covered in release notes.

 

regards

Chintan

New Member

Hi Chintan, I've already

Hi Chintan,

 

I've already installed MR 8.5(1), but the error still occurs when installing MR 8.5(4)

 

The Log is :

 

2014-09-02 18:13:28 [Information] Logging initialized. Log File: C:\Temp\Maintenance Release ICM8.5(4)\20140902_181328_Maintenance Release ICM8.5(4).log
2014-09-02 18:13:28 [Information] Displaying new modal message, buffer empty: Initializing Patch Installer
2014-09-02 18:13:28 [Information] Manifest file location: C:\Users\ADMINI~1\AppData\Local\Temp\2\{0F8C826B-7BE2-4513-81D8-1C3FC1D25DD9}\{0202A80B-FA3B-48B1-A64F-62AD902E62F9}\PatchManifest.ini
2014-09-02 18:13:28 [Information] Patch Information folder is C:\icm\PatchInfo_ICM_8_5_4_0_0_0_336
2014-09-02 18:13:28 [Information] Initializing Version checking data structures with data from current system and patch.
2014-09-02 18:13:28 [Information] CloseWindow: Now in; Window=Cisco Unified ICM/Contact Center Enterprise & Hosted Installation
2014-09-02 18:13:28 [Information] All modal messages are now closed.
2014-09-02 18:13:28 [Information] Checking whether current installed patchs is the one this installer is attempting to remove.
2014-09-02 18:13:28 [Error] The latest installed patch ICM_8_5_1_0_0_0_465 does not match this uninstall program. 
This later patch must be removed  before this uninstall can be run.
2014-09-02 18:13:28 [Information] Installer cleaning up and aborting.
2014-09-02 18:13:28 [Error] See the installer log for more detail.
2014-09-02 18:13:53 [Information] Cleaned out modal message buffer and stack.
 
 
 
Then I uninstall the MR 8.5(1), then try to install MR 8.5(3),
I've successfully install the MR 8.5.(3), then I try to install the MR 8.5(4), but the error still occurs,
 
 
 
The Log is : 
 
 
 
2014-09-02 19:19:26 [Information] Logging initialized. Log File: C:\Temp\Maintenance Release ICM8.5(4)\20140902_191926_Maintenance Release ICM8.5(4).log
2014-09-02 19:19:26 [Information] Displaying new modal message, buffer empty: Initializing Patch Installer
2014-09-02 19:19:26 [Information] Manifest file location: C:\Users\ADMINI~1\AppData\Local\Temp\2\{FF1FBA60-1E9C-4068-A0E0-0704D8C43A5F}\{0202A80B-FA3B-48B1-A64F-62AD902E62F9}\PatchManifest.ini
2014-09-02 19:19:26 [Information] Patch Information folder is C:\icm\PatchInfo_ICM_8_5_4_0_0_0_336
2014-09-02 19:19:26 [Information] Initializing Version checking data structures with data from current system and patch.
2014-09-02 19:19:26 [Information] CloseWindow: Now in; Window=Cisco Unified ICM/Contact Center Enterprise & Hosted Installation
2014-09-02 19:19:26 [Information] All modal messages are now closed.
2014-09-02 19:19:26 [Information] Checking whether current installed patchs is the one this installer is attempting to remove.
2014-09-02 19:19:26 [Error] The latest installed patch ICM_8_5_3_0_0_0_170 does not match this uninstall program. 
This later patch must be removed  before this uninstall can be run.
2014-09-02 19:19:26 [Information] Installer cleaning up and aborting.
2014-09-02 19:19:26 [Error] See the installer log for more detail.
2014-09-02 19:19:49 [Information] Cleaned out modal message buffer and stack.

 

 

 

I haven't try to install MR 8.5(2),

 

is it must to install 8.5(2) first to upgrade 8.5(4) ?

 

Thanks

 

 

 

not clearly mentioned in

not clearly mentioned in release notes, but i think they are trying to point out the same that 8.5(2) is required for upgrade. you can give a try.

also i did not found any upgrade document for CCE8.5(4), so i not pretty much sure on this.

 

Regards

Chintan

Hi There, As per release

Hi There,

 

As per release notes, Unified CCE 8.5(4) bundles the Unified CCE 8.0(2), 8.0(3), 8.5(1) , 8.5(2) and 8.5(3) releases.

Try installing 8.5(4) directly on the base version. That should work. 

i believe the base version is 8.0(1a).

 

~prashanth

New Member

 I have installed 8.5.4 on 8

 

I have installed 8.5.4 on 8.0.1a several times during upgrades/ migrations.

Try and download a fresh copy of 8.5.4.exe from CCO.

 

Kartik Bhatia

184
Views
0
Helpful
5
Replies
CreatePlease to create content